This sketch is the one I sent with the errors.  You sent it last night.  This sketch errors out when I try to compile.

// 05/06/2024 00:31:19  Chris Ward
//BME_SensorObject2.ino

//https://wiki.seeedstudio.com/XIAO_ESP32C3_Getting_Started

#include <ArduinoBLE.h>
#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

#define BLE_NAME "BME_SensorObject2"

//https://www.professorcad.co.uk/appinventortips#BleUuids
#define BLE_SERVICE_UUID "0357A1D0-58C9-48E5-8C81-3DA5D49C5C21"
#define BLE_CHARACTERISTIC_UUID "0357A1D1-58C9-48E5-8C81-3DA5D49C5C21"

// Create BME280 sensor object
Adafruit_BME280 bme;

// Service
BLEService bmeService(BLE_SERVICE_UUID);
// Characteristic
BLEStringCharacteristic bmeCharacteristic(BLE_CHARACTERISTIC_UUID, BLEWrite | BLENotify, 32); //32 = max data size

// Global Values
float Temperature;
float Humidity;
float Pressure;
long lgPeriod = 2000;         // Check period (first run 2 seconds, subsequent 10 seconds)
bool bgUpdate = false;        // Subseqent check period 10 seconds                        
long lgPreviousMillis = 0;    // last time the sensor values were checked, in ms     

void setup()
{
               Serial.begin(9600);

               while (!Serial);
              
               if (!BLE.begin())
               {
                         Serial.println("Failed to start BLE!");
                         while (1);
               }
              
               if (!bme.begin(0x76))
               {
                         Serial.println("Could not find a valid BME280 sensor, check wiring!");
                         while (1);
               }
              
               BLE.setLocalName(BLE_NAME);
               BLE.setAdvertisedService(bmeService);
               BLE.addService(bmeService);
               
               bmeService.addCharacteristic(bmeCharacteristic);
              
               BLE.advertise();
              
               Serial.println("BLE peripheral is now active");
}

void updateValues()
{
      char sSensorVals[32]; // Buffer
      char sTemperature[12];
      char sHumidity[12];
      char sPressure[12];

               dtostrf(sTemperature,8,2,Temperature);
               dtostrf(sHumidity,8,2,Humidity);
               dtostrf(sPressure,8,2,Pressure);

               // To Serial Monitor
               Serial.print("Temperature: "); Serial.print(Temperature); Serial.println(" °C");
               Serial.print("Humidity: ");    Serial.print(Humidity);    Serial.println(" %");
               Serial.print("Pressure: ");    Serial.print(Pressure);    Serial.println(" hPa");

               sprintf(sSensorVals, "%s|%s|%s\0", sTemperature, sHumidity, sPressure); 
               bmeCharacteristic.writeValue(sSensorVals); //To App
}

void loop() 
{
               BLEDevice central = BLE.central();
               
               if (central)
               {
                         Serial.print("Connected to central: "); Serial.println(central.address());
               
                         while (central.connected())
                         {

                                   // if lgPeriod milliseconds have passed, check the sensor values:
                                   if ((millis() - lgPreviousMillis) > lgPeriod)
                                   {
                         
                                             // Read actual sensor values
                                             Temperature = bme.readTemperature();
                                                Humidity = bme.readHumidity();
                                                Pressure = (bme.readPressure() / 100.0); // Convert Pa to hPa
                                             
                                             updateValues();

                                             bgUpdate = true;
                                   }

                                   if (bgUpdate == true) {lgPeriod = 10000;} //Subsequent checks every 10 seconds
                         }
               
                         Serial.print("Disconnected from central: ");
                         Serial.println(central.address());
               }
}
